Bug 134452 - missing spaces in ENVELOPE response.
Summary: missing spaces in ENVELOPE response.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-02 21:49 UTC by Pawel Salek
Modified: 2014-01-21 22:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-22 16:18:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pawel Salek 2004-10-02 21:49:06 UTC
Description of problem:
dovecot omits some spaces when constructing FETCH ENVELOPE response.
Error is obvious when one fetches also the field verbatim. For example:

. fetch 4375 (envelope body[HEADER.FIELDS (from)])
* 4375 FETCH (ENVELOPE ("Sat, 2 Oct 2004 21:47:27 +0200" "Re:
Compiling Snapshots for 2.6" (("Felix=?ISO-8859-1?Q?K=FChling?=" NIL
"fxkuehl" "domain")) ((NIL NIL "dri-devel-admin"
"lists.sourceforge.net")) (("Felix=?ISO-8859-1?Q?K=FChling?=" NIL
"fxkuehl" "domain")) (("Coulette David" NIL "david.coulette"
"ac-strasbourg.fr")) ((NIL NIL "dri-devel" "lists.sourceforge.net"))
NIL "<2efe3a3b44803f93.44803f932efe3a3b@ac-strasbourg.fr>"
"<20041002214727.5d8922ce.felix@trabant>") BODY[HEADER.FIELDS (FROM)] {59}
From: Felix =?ISO-8859-1?Q?K=FChling?= <fxkuehl@domain>
 
)
. OK Fetch completed.

The space between "Felix" and "=?ISO-8859-1?Q?K=FChling?=" is missing
in the envelope response.

The response returned by dovecot is not a correct MIME string which
makes it impossible to decode without implementing some workarounds.
The end result is that the user is presented with a garbled text.

dovecot-0.99.11

Comment 1 Timo Sirainen 2005-01-06 18:17:48 UTC
I finally fixed this. When it has had more testing it could be
backported to 0.99.x:

http://dovecot.org/list/dovecot-cvs/2005-January/003948.html


Comment 2 John Dennis 2005-01-06 18:28:09 UTC
Excellent timing Timo! I was just about to look at this myself. I 
think I'll wait and see how the testing goes and use the patch if all 
is well.

Along a similiar lines, I see 1.0-test is up to version 59, do you 
have a date when you expect 1.0 to released?

Comment 3 Timo Sirainen 2005-01-06 20:21:04 UTC
Hopefully this spring. Keyword support is the last important missing
feature, it's maybe 70% done now in CVS. After that Dovecot is mostly
feature complete and I'll change the naming into 1.0alphaN and try to
avoid breaking anything badly.


Comment 4 John Dennis 2005-07-22 16:18:42 UTC
This was fixed in 0.99.14


Note You need to log in before you can comment on or make changes to this bug.